NX Open C++ Reference Guide
|
Represents a master cut feature builder that creates, inquires, or edits a master cut feature associated with a Cut View. More...
Public Member Functions | |
void | CalcThroughLimits (NXOpen::Direction *direction, double *limit1, double *limit2) |
Calculate start and end through limit values Created in NX4.0.0. | |
int | CutColor () |
Returns the cut face color Created in NX4.0.0. | |
NXOpen::ModelingView * | CutView () |
Returns the cut view Created in NX4.0.0. | |
NXOpen::Features::ExtrudeBuilder * | Extrude () |
Returns the extrude builder Created in NX5.0.0. | |
std::vector < NXOpen::DisplayableObject * > | GetTargetComponents () |
The target components that are cut. | |
double | HatchAngle () |
Returns the hatch angle Created in NX4.0.0. | |
double | HatchDistance () |
Returns the hatch distance Created in NX4.0.0. | |
bool | MaterialOutsideLoop () |
Returns the flag whether or not the material is outside the loop used to create the extruded body Created in NX4.0.0. | |
void | RecalculateLimits () |
Recalculates extrude limits to cut through target components | |
NXString | SaveAsName () |
Returns the cut save as name Created in NX4.0.0. | |
void | SetCutColor (int cutColor) |
Sets the cut face color Created in NX4.0.0. | |
void | SetCutView (NXOpen::ModelingView *cutView) |
Sets the cut view Created in NX4.0.0. | |
void | SetHatchAngle (double hatchAngle) |
Sets the hatch angle Created in NX4.0.0. | |
void | SetHatchDistance (double hatchDistance) |
Sets the hatch distance Created in NX4.0.0. | |
void | SetMaterialOutsideLoop (bool materialOutsideLoop) |
Sets the flag whether or not the material is outside the loop used to create the extruded body Created in NX4.0.0. | |
void | SetSaveAsName (const NXString &saveAsName) |
Sets the cut save as name Created in NX4.0.0. | |
void | SetSaveAsName (const char *saveAsName) |
Sets the cut save as name Created in NX4.0.0. | |
void | SetTargetComponents (const std::vector< NXOpen::NXObject * > &targetComponents) |
The target components that are cut Created in NX4.0.0. | |
void | SetToolBody (NXOpen::Body *toolBody) |
Sets the tool body used to perform the cut, which is an extruded body Created in NX4.0.0. | |
void | SetUseCutColor (bool useCutColor) |
Sets the flag whether or not to use the specified color for the cut faces Created in NX4.0.0. | |
void | SetUseCutHatch (bool useCutHatch) |
Sets the flag whether or not the cut faces are crosshatched in wireframe mode Created in NX4.0.0. | |
void | SetUseSaveAs (bool useSaveAs) |
Sets the flag whether or not to save the work view with a new name Created in NX4.0.0. | |
NXOpen::SelectDisplayableObjectList * | TargetComponents () |
Returns the target components that are cut Created in NX5.0.0. | |
NXOpen::Body * | ToolBody () |
Returns the tool body used to perform the cut, which is an extruded body Created in NX4.0.0. | |
bool | UseCutColor () |
Returns the flag whether or not to use the specified color for the cut faces Created in NX4.0.0. | |
bool | UseCutHatch () |
Returns the flag whether or not the cut faces are crosshatched in wireframe mode Created in NX4.0.0. | |
bool | UseSaveAs () |
Returns the flag whether or not to save the work view with a new name Created in NX4.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a master cut feature builder that creates, inquires, or edits a master cut feature associated with a Cut View.
<br> This class provides methods to set and get the various master cut sub components. <br> <br> The following are default options and values. <br> <br> <b> Cut View </b> The work view <br> <br> <b> Tool Body </b> Extrude feature tool body used to perform the cut. The user must set this <br> <br> <b> Target Components </b> Components and/or solid bodies to cut. Unset unless the work part only contains one body <br> <br> <b> Material Outside Loop </b> true, i.e., the material is outside the loop used to create the extrude body <br> <br> <b> Use Cut Hatch </b> true, i.e., cut faces are crosshatched in static wireframe mode <br> <br> <b> Hatch Angle </b> 45.0 degrees. <br> <br> <b> Hatch Distance </b> 0.236/6.0 [in/mm] <br> <br> <b> Use Cut Color </b> true, i.e., cut faces are colored in shaded mode <br> <br> <b> Cut Color </b> Medium violet magenta <br> <br> <b> Use Save As </b> true, i.e., save the cut view with a new name <br> <br> <b> Save As Name </b> "SECTION OF work view name" <br> <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateMasterCutBuilder Features::FeatureCollection::CreateMasterCutBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CutColor |
193 |
Extrude.SmartVolumeProfile.OpenProfileSmartVolumeOption |
0 |
HatchAngle |
45 |
HatchDistance |
6.0 (millimeters part), 0.236 (inches part) |
MaterialOutsideLoop |
True |
UseCutColor |
True |
UseCutHatch |
True |
UseSaveAs |
True |
Created in NX4.0.0.
void NXOpen::Features::MasterCutBuilder::CalcThroughLimits | ( | NXOpen::Direction * | direction, |
double * | limit1, | ||
double * | limit2 | ||
) |
Calculate start and end through limit values
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
direction | the extrude direction |
limit1 | start limit value |
limit2 | end limit value |
int NXOpen::Features::MasterCutBuilder::CutColor | ( | ) |
Returns the cut face color
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::ModelingView* NXOpen::Features::MasterCutBuilder::CutView | ( | ) |
Returns the cut view
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXOpen::Features::ExtrudeBuilder* NXOpen::Features::MasterCutBuilder::Extrude | ( | ) |
Returns the extrude builder
Created in NX5.0.0.
License requirements : None
std::vector<NXOpen::DisplayableObject *> NXOpen::Features::MasterCutBuilder::GetTargetComponents | ( | ) |
The target components that are cut.
double NXOpen::Features::MasterCutBuilder::HatchAngle | ( | ) |
Returns the hatch angle
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
double NXOpen::Features::MasterCutBuilder::HatchDistance | ( | ) |
Returns the hatch distance
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Features::MasterCutBuilder::MaterialOutsideLoop | ( | ) |
Returns the flag whether or not the material is outside the loop used to create the extruded body
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::MasterCutBuilder::RecalculateLimits | ( | ) |
Recalculates extrude limits to cut through target components
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
NXString NXOpen::Features::MasterCutBuilder::SaveAsName | ( | ) |
Returns the cut save as name
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
void NXOpen::Features::MasterCutBuilder::SetCutColor | ( | int | cutColor | ) |
Sets the cut face color
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
cutColor | cut face color |
void NXOpen::Features::MasterCutBuilder::SetCutView | ( | NXOpen::ModelingView * | cutView | ) |
Sets the cut view
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
cutView | cut view |
void NXOpen::Features::MasterCutBuilder::SetHatchAngle | ( | double | hatchAngle | ) |
Sets the hatch angle
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
hatchAngle | hatch angle used when crosshatching the cut faces |
void NXOpen::Features::MasterCutBuilder::SetHatchDistance | ( | double | hatchDistance | ) |
Sets the hatch distance
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
hatchDistance | hatch distance used when crosshatching the cut faces |
void NXOpen::Features::MasterCutBuilder::SetMaterialOutsideLoop | ( | bool | materialOutsideLoop | ) |
Sets the flag whether or not the material is outside the loop used to create the extruded body
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
materialOutsideLoop | if true, the material is outside the loop used to create the extruded body |
void NXOpen::Features::MasterCutBuilder::SetSaveAsName | ( | const NXString & | saveAsName | ) |
Sets the cut save as name
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
saveAsName | cut save as name |
void NXOpen::Features::MasterCutBuilder::SetSaveAsName | ( | const char * | saveAsName | ) |
Sets the cut save as name
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
saveAsName | cut save as name |
void NXOpen::Features::MasterCutBuilder::SetTargetComponents | ( | const std::vector< NXOpen::NXObject * > & | targetComponents | ) |
The target components that are cut
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
targetComponents | target components to be cut |
void NXOpen::Features::MasterCutBuilder::SetToolBody | ( | NXOpen::Body * | toolBody | ) |
Sets the tool body used to perform the cut, which is an extruded body
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
toolBody | tool body used to perform the cut |
void NXOpen::Features::MasterCutBuilder::SetUseCutColor | ( | bool | useCutColor | ) |
Sets the flag whether or not to use the specified color for the cut faces
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
useCutColor | if true, use the specified color for the cut faces |
void NXOpen::Features::MasterCutBuilder::SetUseCutHatch | ( | bool | useCutHatch | ) |
Sets the flag whether or not the cut faces are crosshatched in wireframe mode
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
useCutHatch | if true, cut faces are crosshatched in wireframe mode |
void NXOpen::Features::MasterCutBuilder::SetUseSaveAs | ( | bool | useSaveAs | ) |
Sets the flag whether or not to save the work view with a new name
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
useSaveAs | if true, save the work view with a new name |
NXOpen::SelectDisplayableObjectList* NXOpen::Features::MasterCutBuilder::TargetComponents | ( | ) |
Returns the target components that are cut
Created in NX5.0.0.
License requirements : None
NXOpen::Body* NXOpen::Features::MasterCutBuilder::ToolBody | ( | ) |
Returns the tool body used to perform the cut, which is an extruded body
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Features::MasterCutBuilder::UseCutColor | ( | ) |
Returns the flag whether or not to use the specified color for the cut faces
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Features::MasterCutBuilder::UseCutHatch | ( | ) |
Returns the flag whether or not the cut faces are crosshatched in wireframe mode
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
bool NXOpen::Features::MasterCutBuilder::UseSaveAs | ( | ) |
Returns the flag whether or not to save the work view with a new name
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")